/*------------------------------------------------------------------------
  File        : WebApp/TP/BL/SupplierTariff.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 07-03-2018 13:32:06
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttSupplierTariff BEFORE-TABLE bttSupplierTariff
    FIELD backloading LIKE aa-tp_supplier_tariff.backloading
    FIELD calc_customer_name AS CHARACTER LABEL "Only for customer"
    FIELD calc_discharge_info AS CHARACTER LABEL ""
    FIELD calc_loading_info AS CHARACTER LABEL ""
    FIELD calc_supplier_name AS CHARACTER LABEL "Supplier name"
    FIELD calc_tariff AS CHARACTER LABEL "Tariff"
    FIELD calc_tariff_kind AS CHARACTER LABEL "Kind of tariff"
    FIELD calc_tariff_type AS CHARACTER LABEL "Type of tariff"
    FIELD companycode LIKE aa-tp_supplier_tariff.companycode
    FIELD containertypecode LIKE aa-tp_supplier_tariff.containertypecode
    FIELD costcode LIKE aa-tp_supplier_tariff.costcode
    FIELD currencycode LIKE aa-tp_supplier_tariff.currencycode
    FIELD customer_addressnr LIKE aa-tp_supplier_tariff.customer_addressnr
    FIELD d_areacode LIKE aa-tp_supplier_tariff.d_areacode
    FIELD d_countrycode LIKE aa-tp_supplier_tariff.d_countrycode
    FIELD d_districtcode LIKE aa-tp_supplier_tariff.d_districtcode
    FIELD d_location_arg LIKE aa-tp_supplier_tariff.d_location_arg
    FIELD d_locationcode LIKE aa-tp_supplier_tariff.d_locationcode
    FIELD d_portcode LIKE aa-tp_supplier_tariff.d_portcode
    FIELD d_subareacode LIKE aa-tp_supplier_tariff.d_subareacode
    FIELD des LIKE aa-tp_supplier_tariff.des
    FIELD dt_valid_from LIKE aa-tp_supplier_tariff.dt_valid_from
    FIELD dt_valid_till LIKE aa-tp_supplier_tariff.dt_valid_till
    FIELD fm_city_postalcode LIKE aa-tp_supplier_tariff.fm_city_postalcode
    FIELD free_days LIKE aa-tp_supplier_tariff.free_days
    FIELD free_hours LIKE aa-tp_supplier_tariff.free_hours
    FIELD ind_combi LIKE aa-tp_supplier_tariff.ind_combi
    FIELD ind_extra_cost LIKE aa-tp_supplier_tariff.ind_extra_cost
    FIELD ind_inactive LIKE aa-tp_supplier_tariff.ind_inactive
    FIELD ind_multi LIKE aa-tp_supplier_tariff.ind_multi
    FIELD ind_preselect LIKE aa-tp_supplier_tariff.ind_preselect
    FIELD ind_so LIKE aa-tp_supplier_tariff.ind_so
    FIELD kind_of_tariff LIKE aa-tp_supplier_tariff.kind_of_tariff
    FIELD l_areacode LIKE aa-tp_supplier_tariff.l_areacode
    FIELD l_countrycode LIKE aa-tp_supplier_tariff.l_countrycode
    FIELD l_districtcode LIKE aa-tp_supplier_tariff.l_districtcode
    FIELD l_location_arg LIKE aa-tp_supplier_tariff.l_location_arg
    FIELD l_locationcode LIKE aa-tp_supplier_tariff.l_locationcode
    FIELD l_portcode LIKE aa-tp_supplier_tariff.l_portcode
    FIELD l_subareacode LIKE aa-tp_supplier_tariff.l_subareacode
    FIELD ledgercode LIKE aa-tp_supplier_tariff.ledgercode
    FIELD linecode LIKE aa-tp_supplier_tariff.linecode
    FIELD loadingstate LIKE aa-tp_supplier_tariff.loadingstate
    FIELD max_number_specifier LIKE aa-tp_supplier_tariff.max_number_specifier
    FIELD maximum LIKE aa-tp_supplier_tariff.maximum
    FIELD minimum LIKE aa-tp_supplier_tariff.minimum
    FIELD motcode LIKE aa-tp_supplier_tariff.motcode
    FIELD negative LIKE aa-tp_supplier_tariff.negative
    FIELD qualifier LIKE aa-tp_supplier_tariff.qualifier
    FIELD remarks LIKE aa-tp_supplier_tariff.remarks
    FIELD servicecode LIKE aa-tp_supplier_tariff.servicecode
    FIELD special_cargo LIKE aa-tp_supplier_tariff.special_cargo
    FIELD supplier_addressnr LIKE aa-tp_supplier_tariff.supplier_addressnr FORMAT "->>>>>>>9"
    FIELD suppliertype LIKE aa-tp_supplier_tariff.suppliertype
    FIELD tariff LIKE aa-tp_supplier_tariff.tariff FORMAT "ZZZZZ9.9999-"
    FIELD tariff_decimals LIKE aa-tp_supplier_tariff.tariff_decimals
    FIELD tariff_seqnr LIKE aa-tp_supplier_tariff.tariff_seqnr
    FIELD tariff_type_arg LIKE aa-tp_supplier_tariff.tariff_type_arg
    FIELD to_city_postalcode LIKE aa-tp_supplier_tariff.to_city_postalcode
    FIELD triptype LIKE aa-tp_supplier_tariff.triptype
    FIELD xref_costcode_des AS CHARACTER LABEL ""
.

DEFINE DATASET dsSupplierTariff FOR ttSupplierTariff.